### Function

# Atk add_focus_tracker

deprecated: 2.9.4

#### Declaration [src]

    guint
    atk_add_focus_tracker (
      AtkEventListener focus_tracker
    )

#### Description [src]

Adds the specified function to the list of functions to be called when an object receives focus.

Deprecated since: 2.9.4

Focus tracking has been dropped as a feature to be implemented by ATK itself. If you need focus tracking on your implementation, subscribe to the `AtkObject::state-change` “focused” signal.

This function is not directly available to language bindings.

#### Parameters

`focus_tracker`

  Type: `AtkEventListener`

  Function to be added to the list of functions to be called when an object receives focus.

#### Return value

Type: `guint`

Added focus tracker id, or 0 on failure.